petsc-3.7.7 2017-09-25
Report Typos and Errors

# MATMPISBAIJ

MATMPISBAIJ = "mpisbaij" - A matrix type to be used for distributed symmetric sparse block matrices, based on block compressed sparse row format. Only the upper triangular portion of the "diagonal" portion of the matrix is stored. For complex numbers by default this matrix is symmetric, NOT Hermitian symmetric. To make it Hermitian symmetric you can call MatSetOption(Mat, MAT_HERMITIAN);

### Options Database Keys

-mat_type mpisbaij -sets the matrix type to "mpisbaij" during a call to MatSetFromOptions()

### See Also

MatCreateMPISBAIJ

Level:beginner
Location:src/mat/impls/sbaij/mpi/mpisbaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages